By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
446,159 Members | 888 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 446,159 IT Pros & Developers. It's quick & easy.

gui.h error

P: n/a
hello!
i am hasan noori.
i'm from iran .
when i compile a smple program tht iclude the GUI.H this error message
appear :
compiling gui.h
Fatal FSTREAM.H 8:Error directive must use C++ for the type fstream.
i using Turbo C++ Version 3.0
please help me to solve this:)
send me mail by:
ha*********@gmail.com
note:i downloaded The gui.h from http://www.cplusplus.com/src/

Jun 14 '06 #1
Share this Question
Share on Google+
3 Replies


P: n/a
ha*********@gmail.com wrote:
when i compile a smple program tht iclude the GUI.H this error message
appear :
compiling gui.h
Fatal FSTREAM.H 8:Error directive must use C++ for the type fstream.
We'll need more code than what you've given us (i.e., none). What is on
line 8 of fstream.h, for instance? See this FAQ on posting code that
doesn't work:

http://www.parashift.com/c++-faq-lit...t.html#faq-5.8
i using Turbo C++ Version 3.0
please help me to solve this:)
Irrelevant. We are only concerned with standard C++ here, not
particular implementations thereof. See this FAQ:

http://www.parashift.com/c++-faq-lit...t.html#faq-5.9

<OT>I would note, however, that that compiler is very old, and Borland
has released v5.5 for free. Of course there are various other free
compilers, including one from Microsoft which is very good as far as
compliance to the C++ Standard.</OT>
send me mail by:
ha*********@gmail.com
When you ask in this group, you read responses in the group, not in
your personal email. It's only fair since others might have the same
question.
note:i downloaded The gui.h from http://www.cplusplus.com/src/


There are many projects there. Which one? (Not that it really matters
much. The problem is likely elsewhere. But you should at least try to
be complete.)

Cheers! --M

Jun 14 '06 #2

P: n/a
hasannoori1 wrote:
when i compile a smple program tht iclude the GUI.H this error message
appear :
compiling gui.h
Fatal FSTREAM.H 8:Error directive must use C++ for the type fstream.
i using Turbo C++ Version 3.0


It sounds like your compiler thinks you want to compile C, not C++. C can't
comprehend classes like fstream.

You need to post to a newsgroup that covers Turbo C++ to learn how to
configure it. That's out of scope for this newsgroup. But many compilers
simply switch when they see either .c or .cpp extensions, so try that first.

--
Phlip
http://c2.com/cgi/wiki?ZeekLand <-- NOT a blog!!!
Jun 14 '06 #3

P: n/a
hi!
Thanks for all :-)

Jun 14 '06 #4

This discussion thread is closed

Replies have been disabled for this discussion.